classes

## Class HolonTransformer

- java.lang.Object
- - classes.AbstractCpsObject
  - - classes.HolonTransformer

    public class HolonTransformer
    extends AbstractCpsObject

The class HolonTransformer represents a Transformer that transforms a flow to a lower flow. Transforemer are not used in the current State of the Project but could be used the future.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`HolonTransformer(AbstractCpsObject obj)` Copy of the Object.
`HolonTransformer(java.lang.String objName)` Constructor Set type of object (Transformer), its transform ratio and the default name ("Transformer").

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getOutput()` Get the Output of the Transformer.
`float` `getTransformFixed()` Output the actual fixed Transform Value.
`float` `getTransformRatio()` Output the actual ratio of the transformer.
`void` `setTransformFixed(float fixed)` Set fixed Transform Value.
`void` `setTransformRatio(float ratio)` Set transform ratio.

### Methods inherited from class classes.AbstractCpsObject

`addConnection, addPseudoTag, addTag, getBorderColor, getConnectedTo, getConnections, getID, getImage, getName, getObjName, getPosition, getPseudoTags, getSav, getTag, resetTags, setBorderColor, setConnections, setID, setImage, setName, setObjName, setPosition, setPosition, setPseudoTags, setSav, setTags`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HolonTransformer

    public HolonTransformer(java.lang.String objName)

Constructor Set type of object (Transformer), its transform ratio and the default name ("Transformer").

Parameters:
  `objName` - name for the Object

#### HolonTransformer

    public HolonTransformer(AbstractCpsObject obj)

Copy of the Object.

Parameters:
  `obj` - the Object to Copy

### Method Detail

#### setTransformRatio

    public void setTransformRatio(float ratio)

Set transform ratio.

Parameters:
  `ratio` - desired ratio

#### getTransformRatio

    public float getTransformRatio()

Output the actual ratio of the transformer.

Returns:
  actual ratio of the transformer

#### setTransformFixed

    public void setTransformFixed(float fixed)

Set fixed Transform Value.

Parameters:
  `fixed` - desired fixed Transform Value

#### getTransformFixed

    public float getTransformFixed()

Output the actual fixed Transform Value.

Returns:
  actual fixed Transform Value

#### getOutput

    public float getOutput()

Get the Output of the Transformer.

Returns:
  The Output